## swi-prolog 5.2.13

=== man/Makefile ===
################################################################
# Make the documentation
#
# Building the various versions of the documentation requires
# a lot of software to be at the right place.  Generally, please
# pick the required version from the SWI-Prolog home page at
# http://www.swi.psy.uva.nl/projects/SWI-Prolog/
#
# If you insist building it yourself, at least check the following
#
#	* Setting of the $(PL) below
#	* Path to perl in doc2tex
#	* Installed programs
#		- latex 2e
#		- pdflatex
#		- latex2html from the html subdirectory of Prolog
#		- gcc (for ccp as well as building modified dvi2tty)
#
################################################################

PL=		../linux/pl

CP=		ln -fs
CCCP=		gcc -E -C -P
DVITOTTY=	./dvi2tty
DVITOTTY-HOME=	txt/dvi2tty
INDEX=  	makeindex
LATEX=		latex
PDFTEX=		pdflatex
MANUAL=		./MANUAL.dvi
PDF=		MANUAL.pdf
ONLINE=		../library/MANUAL
ONLINE_INDEX=	../library/helpidx.pl

WWWMAN=		/export/home/www/docs/projects/SWI-Prolog/Manual
FTPDIR=		/export/home/ftp/docs/SWI-Prolog

LIBFILES=	lib/library.tex lib/readutil.tex lib/netscape.tex \
		lib/registry.tex lib/check.tex lib/url.tex lib/debug.tex \
		lib/lists.tex
TEXFILES=	doc.tex intro.tex overview.tex builtin.tex module.tex \
		foreign.tex runtime.tex hack.tex summary.tex xpce.tex \
		glossary.tex ide.tex license.tex threads.tex $(LIBFILES) \
		profile.tex
STYFILES=	html.sty txt.sty

.SUFFIXES:
.SUFFIXES: .doc .tex 

help:		
		@echo
		@echo '"make all"       creates online, PDF and HTML'
		@echo '"make online"    creates the help/1 database'
		@echo '"make html"      create HTML verstion'
		@echo '"make pdf"       makes $(PDF)'
		@echo
		@echo '"make clean"     removes all temporary files'
		@echo '"make distclean" lets you start from scratch'
		@echo

all:		
		$(MAKE) online
		$(MAKE) clean
		$(MAKE) pdf
		$(MAKE) clean
		$(MAKE) html
		$(MAKE) clean

dvi:		doc.dvi

doc.dvi:	$(TEXFILES)
		env TEXINPUTS=lib:$$TEXINPUTS $(LATEX) doc
		env TEXINPUTS=lib:$$TEXINPUTS $(LATEX) doc
		env TEXINPUTS=lib:$$TEXINPUTS $(LATEX) doc

ps:		doc.ps

doc.ps:		doc.dvi
		dvips $< -o $@

html:		$(TEXFILES) $(STYFILES) doc.bbl
		rm -rf Manual
		env TEXINPUTS=lib:$$TEXINPUTS latex2html doc

pdf:		$(PDF)

online:		$(ONLINE) online_index
online_index:	$(ONLINE_INDEX)

dvi2tty:	$(DVI2TTY)
txt.sty:	txt/txt.sty
		cp txt/txt.sty $@
html.sty:	../packages/ltx2htm/html.sty
		cp $< $@

clean:		
		rm -f *~ *% tmp.* *.aux *.idx *.ind *.log *.toc *.ilg
		rm -f lib/*~ lib/*.tex lib/*.aux
		rm -f online.* *.tex

distclean:	clean
		rm -f $(MANUAL) $(DVITOTTY)
		rm -rf Manual
		make -C$(DVITOTTY-HOME) distclean

$(PDF):		doc.tex $(TEXFILES) doc.bbl
		env TEXINPUTS=lib:$$TEXINPUTS ./runtex --pdf doc
		mv doc.pdf $@

man:		doc.tex $(TEXFILES) doc.bbl doc.ind
		$(LATEX) doc

tex:		$(TEXFILES)

$(TEXFILES):	doc2tex

.doc.tex:	
		./doc2tex $*.doc > $*.tex

doc.bbl:	biblio.doc
		cp  biblio.doc $@

htmldoc.bbl:	biblio.doc
		cp  biblio.doc $@

online.bbl:	biblio.doc
		cp  biblio.doc $@

doc.idx:	$(TEXFILES)
		$(LATEX) doc

$(ONLINE):	online.dvi $(DVITOTTY)
		$(DVITOTTY) -w100 online | \
		cat -s | \
		sed 's/\(.\)_/_\1/g' > $(ONLINE)

online.dvi:	online.tex $(TEXFILES) online.bbl
		env TEXINPUTS=lib:$$TEXINPUTS ./runtex online

online.doc:	main.doc
		cp main.doc main.h
		$(CCCP) -DONLINE main.h | cat -s > online.doc
		rm -f main.h
doc.doc:	main.doc
		cp main.doc main.h
		$(CCCP) -UONLINE main.h | cat -s > doc.doc
		rm -f main.h

$(ONLINE_INDEX):	$(ONLINE)
		MANUAL=$(ONLINE); INDEX=$(ONLINE_INDEX); export MANUAL INDEX; \
		$(PL) -f none -g '[plindex],online_index' -t halt.

$(DVITOTTY):
		$(MAKE) -C$(DVITOTTY-HOME) dvi2tty
		$(CP) $(DVITOTTY-HOME)/dvi2tty ./$(DVITOTTY)

install::
		rm -rf $(WWWMAN)
		cp -a Manual $(WWWMAN)
		tar zcvf $(FTPDIR)/refman/HTMLmanual.tar.gz Manual
		cp -a $(PDF) $(FTPDIR)/refman/refman.pdf

################################################################
# Windows readme
################################################################

windows.pdf:	windows.tex
		./runtex --pdf windows
windows.html:	windows.tex
		latex2html windows

# EOF #

=== packages/sgml/doc/Makefile ===
################################################################
# Makefile for the documentation of sgml2pl
#
# Author:    Jan Wielemaker
# Created:   Wed Jul 19 2000
# Copyright: GPL
################################################################

LATEX=latex
PDFLATEX=pdflatex
MAKEINDEX=makeindex
DOC=sgml2pl

all:		html pdf

html:		$(DOC).html
pdf:		$(DOC).pdf
ps:		$(DOC).ps

$(DOC).tex:	$(DOC).sgml
		./doc2tex $<

$(DOC).pdf:	$(DOC).tex
		$(PDFLATEX) $(DOC)
		$(MAKEINDEX) $(DOC)
		$(PDFLATEX) $(DOC)
		$(MAKEINDEX) $(DOC)
		$(PDFLATEX) $(DOC)

$(DOC).ps:	$(DOC).tex
		$(LATEX) $(DOC)
		$(MAKEINDEX) $(DOC)
		$(LATEX) $(DOC)
		$(MAKEINDEX) $(DOC)
		$(LATEX) $(DOC)
		dvips -o $@ $(DOC)

$(DOC).html:	$(DOC).sgml doc2html.pl
		./doc2html $<

clean:		
		rm -f *~ a.out core
		rm -f $(DOC).aux $(DOC).tex $(DOC).ilg $(DOC).log
		rm -f $(DOC).idx $(DOC).ind $(DOC).toc

distclean:	clean
		rm -f $(DOC).pdf $(DOC).ps $(DOC.html)

=== packages/xpce/man/course/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl

DOCTOTEX=../../bin/doc2tex
PLTOTEX=../../bin/pl2tex
CORRECTINDEX=../../bin/correctindex
MAKEINDEX=makeindex -s ../../TeX/makeindex.sty


TEX=	doc.tex intro.tex course.tex process.tex ftp.tex

LOGO=	figs/uva.ps figs/swi.ps

all:	$(TEX) $(LOGO)
	-$(CORRECTINDEX) doc.idx
	-$(MAKEINDEX) doc
	touch doc.ind
	(TEXINPUTS=../../TeX:$$TEXINPUTS; export TEXINPUTS; latex doc)

bib:	doc.aux
	(TEXINPUTS=../../TeX:$$TEXINPUTS; \
	 BIBINPUTS=$$TEXINPUTS; \
	 export TEXINPUTS BIBINPUTS; bibtex doc)

figs/uva.ps:	../../TeX/figs/uva.ps
	cp ../../TeX/figs/uva.ps figs/uva.ps

figs/swi.ps:	../../TeX/figs/swi.ps
	cp ../../TeX/figs/swi.ps figs/swi.ps

$(TEX):	$(DOCTOTEX)

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

clean:
	rm -f $(TEX) *.dvi *.toc *.aux *.idx *.ind *.[ib]lg *.log *~ figs/*~ \
	      $(LOGO)

=== packages/xpce/man/userguide/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl .eps .pdf

PCETEX=../../TeX
DOCTOTEX=../../bin/doc2tex
PLTOTEX=../../bin/pl2tex
CORRECTINDEX=../../bin/correctindex
MAKEINDEX=makeindex -s $(PCETEX)/makeindex.ist
DOC=xpceusg
DVI=$(DOC).dvi
LOG=$(DOC).log
PS=$(DOC).ps
PDF=$(DOC).pdf
RERUN="Rerun to get cross-references right"
CLHIER=figs/pceclasshierarchy.eps

COMMON=	intro.tex starting.tex globalarch.tex online.tex debug.tex \
	interface.tex graphics.tex pceprolog.tex trouble.tex memory.tex \
	glossary.tex techniques.tex report.tex font.tex hyper.tex \
	udc.tex dragdrop.tex dragdropdemo.tex control.tex whoiswho.tex \
	namedref.tex ugraphics.tex code.tex classvar.tex diaedit.tex \
	dialog.tex wysiwyg.tex frame.tex error.tex application.tex \
	resource.tex images.tex summary.tex body.tex \
	mswin.tex balloon.tex printing.tex \
	libs.tex findfile.tex toc.tex tabular.tex libdia.tex mlingual.tex \
	httpd.tex httpd-ex.tex docrender.tex libbroadcast.tex libplot.tex

XPCETEX=	xpceusg.tex $(COMMON)
PWTEX=		pwusg.tex pwinfo.tex $(COMMON)

LOGO=	figs/uva.eps figs/swi.eps

all:	$(PDF)
pdf:	$(PDF)
dvi:	$(DVI)
ps:	$(PS)

epsimages=	$(shell find . -name '*.eps')
pdfimages=	$(epsimages:.eps=.pdf)

pdfimg:	$(pdfimages)

$(DVI):	$(XPCETEX) $(LOGO) $(CLHIER)
	@TEXINPUTS=.:$(PCETEX):$$TEXINPUTS; \
	echo "**********************************************************"; \
	echo "* Running latex $(DOC)"; \
	echo "**********************************************************"; \
	export TEXINPUTS; \
	rm -f $(LOG); \
	while test ! -e $(DVI) -o ! -e $(LOG) || grep -q $(RERUN) $(LOG); do \
	  $(CORRECTINDEX) $(DOC).idx; \
	  $(MAKEINDEX) $(DOC).idx; \
	  touch $(DOC).ind; \
	  latex $(DOC) || exit 1; \
	done

$(PDF):	$(XPCETEX) $(LOGO) $(CLHIER)
	$(MAKE) pdfimg
	@TEXINPUTS=.:$(PCETEX):$$TEXINPUTS; \
	echo "**********************************************************"; \
	echo "* Running pdflatex $(DOC)"; \
	echo "**********************************************************"; \
	export TEXINPUTS; \
	rm -f $(LOG); \
	while test ! -e $(LOG) || grep -q $(RERUN) $(LOG); do \
	  $(CORRECTINDEX) $(DOC).idx; \
	  $(MAKEINDEX) $(DOC).idx; \
	  touch $(DOC).ind; \
	  pdflatex $(DOC) || exit 1; \
	done

$(PS):	$(DVI)
	dvips -o $@ $(DVI)

#$(PDF):	$(PS)
#	pstill -cgipt -o $@ $(PS)

html:	$(XPCETEX) $(CLHIER)
	latex2html xpceusg

pwhtml:	$(PWTEX)
	latex2html pwusg

pwtex:	$(PWTEX)
tex:	$(XPCETEX)

bib:	xpceusg.aux
	(TEXINPUTS=$(PCETEX):$$TEXINPUTS; \
	 BIBINPUTS=$$TEXINPUTS; \
	 export TEXINPUTS BIBINPUTS; bibtex xpceusg)

figs/uva.eps:	$(PCETEX)/figs/uva.eps
	cp $< $@
figs/swi.eps:	$(PCETEX)/figs/swi.eps
	cp $< $@
figs/class:
	mkdir -p $@

$(CLHIER):
	xpce -f none -g "[mkclasshier],mkhierarchy('$@'),halt" -t 'halt(1)'

$(TEX):	$(DOCTOTEX)

dragdropdemo.tex:	examples/dragdrop.pl
	$(PLTOTEX) examples/dragdrop.pl > $@
wysiwyg.tex:		examples/wysiwyg.pl
	$(PLTOTEX) examples/wysiwyg.pl > $@
summary.tex:		figs/class summary.doc classes.pl
	xpce -f classes.pl -g "process('summary.doc','summary.tmp')" -t halt
	$(DOCTOTEX) summary.tmp > summary.tex
	rm -f summary.tmp

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

.eps.pdf:
	epstopdf $*.eps

clean::
	rm -f $(XPCETEX) $(PWTEX) \
		*.out *.dvi *.toc *.aux *.idx *.ind *.blg *.log *.ilg \
		*~ figs/*~ \
		$(LOGO) summary.tmp

distclean:	clean
	rm -rf figs/class

=== packages/xpce/pl/src/Makefile ===
#   Makefile for SWI-Prolog <-> PCE interface
#
#   Copyright in the whole and every part of this software is owned  by  the
#   University  of  Amsterdam.   No reproduction of the whole or any part of
#   this software is to be made without the authority of the  University  of
#   Amsterdam.
#
#   Copyright (c) 1991, University of Amsterdam
# 

################################################################
# NOTE NOTE NOTE
#
# This Makefile is normally started from the Makefile in the build-directory.
# The following parameters are passed into it:
#
# $(PL)		SWI-Prolog executable
# $(PLBASE)	SWI-Prolog's home directory
# $(PLARCH)	SWI-Prolog's architecture identifier
# $(PLINCL)     SWI-Prolog's include files
# $(builddir)	Path from XPCE home to build directory
# $(C?FLAGS)	The various C-compiler flags
# $(SOEXTRAOBJ)	Possibly non-standard .o files for creating pl2xpce.so
# $(GCCLIB)	The path to -lgcc
# $(SO)		Extension for shared libraries
################################################################

.SUFFIXES: .qlf .pl

libXPCE=	../../$(builddir)/libXPCE.a
LIBDIR=		../../$(builddir)
BINDIR=		../../$(builddir)
OBJDIR=		../../$(builddir)/pl
CONFIG=		../../$(builddir)/config.h

CPLIFLAGS=	-I$(PLINCL) -I../../$(builddir) -I../../src
PL=     	pl
PLLD=		plld -pl $(PL)
ITFOBJ= 	$(addprefix $(OBJDIR)/, interface.o link.o pcecall.o)
ITFSRC=		interface.c table.c dispatch.c
SOITF=		$(addprefix $(OBJDIR)/, so-interface.o pcecall.o)
OBJ=		$(ITFOBJ)
XPCE=		$(BINDIR)/xpce
QLF=    	$(BINDIR)/xpce.qlf
#XLIBS=		-lXt -lX11
XPCESO= 	$(LIBDIR)/pl2xpce.$(SO)
SOEXTR=		$(addprefix $(OBJDIR)/, $(SOEXTRAOBJ))
CITFFLAGS=	-DSWI -DHAVE_CONFIG_H

CFLAGS= 	$(COFLAGS) $(CWFLAGS) $(CMFLAGS) $(CPLIFLAGS) $(CITFFLAGS)

PCEPLS=		pce_expand.pl ../lib/english/pce_messages.pl pce_pl.pl \
		pce_principal.pl pce_error.pl pce_autoload.pl pce_global.pl \
		pce_operator.pl pce_expansion.pl pce_realise.pl pce_editor.pl \
		pce_goal_expansion.pl
BOOTQLF=	pce.qlf
LIBQLFS=	pce_manual.qlf dialog/dialog.qlf emacs/emacs.qlf pcedraw.qlf

################################################################
# The main targets
################################################################

nosoall:	$(XPCE)

soall:		$(PLBASE)/xpce/lib/$(PLARCH) $(XPCESO)

common:		$(PLBASE)/pl.rc $(PLBASE)/xpce.rc $(PLBASE)/xpce \
		$(PLBASE)/Makefile \
		$(PLBASE)/xpce/prolog/lib/INDEX.pl

rt-soall:	$(XPCESO)
rt-nosoall:	$(XPCE)

################################################################
# Objects for $(OBJDIR)
################################################################

$(OBJDIR)/interface.o:	$(ITFSRC)
		$(CC) -c $(CFLAGS) $< -o $@
$(OBJDIR)/link.o:	link.c
		$(CC) -c $(CFLAGS) $< -o $@
$(OBJDIR)/pcecall.o:	pcecall.c
		$(CC) -c $(CFLAGS) $< -o $@

################################################################
# Creating statically linked xpce and its xpce.qlf bootfile
################################################################

$(XPCE):	$(ITFOBJ) $(libXPCE)
		$(PLLD) $(LDFLAGS) $(COFLAGS) -o $@ $(ITFOBJ) -L$(LIBDIR) -lXPCE $(LIBS)
		echo $(PLBASE) > ../../swipl

$(QLF):		$(XPCE)
		$(XPCE) -O -o $(QLF) \
			-g pce_welcome \
			-b $(PLBASE)/boot/init.pl \
			-c load.pl

################################################################$
# Creating pl2xpce.so
################################################################

$(OBJDIR)/so-interface.o: interface.c
		$(CC) -DO_SHAREDLIBRARY $(CFLAGS) -c $< -o $@
		
$(OBJDIR)/Initialize.o:	
		ar x $(XLIB)/libXt.a $@

$(XPCESO):	$(SOITF) $(libXPCE) $(SOEXTR)
		@if [ -r $(LIBDIR)/libXPCE.$(SO) ]; then \
		    $(MAKE) sopce$(XPCESO); \
		else \
		    $(MAKE) axpce$(XPCESO); \
		fi

sopce$(XPCESO):
		LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
		export LD_RUN_PATH; \
		$(PLLD) -shared $(SOITF) -L$(XLIB) -L$(LIBDIR) -lXPCE -o $(XPCESO);
axpce$(XPCESO):
		LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
		export LD_RUN_PATH; \
		$(PLLD) -shared $(SOITF) $(SOEXTR) -L$(LIBDIR) \
		-lXPCE $(GCCLIB) -L$(XLIB) $(XLIBS) $(NETLIBS) -o $(XPCESO);

################################################################$
# QLF generation
################################################################

libqlfs:	$(addprefix ../../prolog/lib/, $(LIBQLFS))
bootqlf:	$(addprefix ../../prolog/lib/, $(BOOTQLF))

../../prolog/lib/pce.qlf: $(addprefix ../../prolog/boot/, $(PCEPLS))
		$(PL) -g "qcompile('../../prolog/lib/pce.pl')" -t halt
		
.pl.qlf:
		$(PL) -g "pce_welcome,qcompile('$*')" -t halt

################################################################
# Link xpce to the SWI-Prolog library directory
################################################################

$(PLBASE)/pl.rc:	plrc
	cp plrc $@

$(PLBASE)/xpce.rc:	plrc
	cp plrc $@

$(PLBASE)/xpce:
	(cd $(PLBASE); rm -f xpce; ln -s $(PCEHOME) xpce)

$(PLBASE)/xpce/lib/$(PLARCH):
	(cd ../../lib; rm -f $(PLARCH); ln -s ../$(builddir) $(PLARCH))

$(PLBASE)/Makefile: Makefile.bin
	-cp Makefile.bin $@

$(PLBASE)/xpce/prolog/lib/INDEX.pl:
	$(PL) -g "make_library_index('$(PLBASE)/xpce/prolog/lib')" -t halt

################################################################
# C++ Name mangling.  Not used right now
################################################################

mangle:		mangle.c
		$(CC) -O -o mangle mangle.c

domangle:	mangle mlist xpce.base
		./mangle mlist xpce.base
		touch domangle

################################################################
# Cleanup
################################################################

clean:		
		$(RM) -f *.o core a.out shitf.c *~

distclean:	clean
		$(RM) -f xpce *.qlf mangle domangle ctr0.o *.so

## swi-prolog 5.6.14

=== man/Makefile ===
--- 
+++ 
@@ -32,16 +32,20 @@
 ONLINE=		../library/MANUAL
 ONLINE_INDEX=	../library/helpidx.pl
 
-WWWMAN=		/export/home/www/docs/projects/SWI-Prolog/Manual
-FTPDIR=		/export/home/ftp/docs/SWI-Prolog
+WWWMAN=		~www/SWI-Prolog/Manual
+FTPDIR=		~ftp/SWI-Prolog
+BETAMAN=	~www/SWI-Prolog/BETA/Manual
 
 LIBFILES=	lib/library.tex lib/readutil.tex lib/netscape.tex \
 		lib/registry.tex lib/check.tex lib/url.tex lib/debug.tex \
-		lib/lists.tex
+		lib/lists.tex lib/bounds.tex lib/clpqr.tex lib/gensym.tex \
+		lib/nbset.tex lib/clpdistinct.tex lib/summary.tex \
+		lib/simplex.tex lib/assoc.tex lib/prologxref.tex \
+		lib/ugraphs.tex
 TEXFILES=	doc.tex intro.tex overview.tex builtin.tex module.tex \
 		foreign.tex runtime.tex hack.tex summary.tex xpce.tex \
 		glossary.tex ide.tex license.tex threads.tex $(LIBFILES) \
-		profile.tex
+		profile.tex attvar.tex chr.tex xref.tex
 STYFILES=	html.sty txt.sty
 
 .SUFFIXES:
@@ -157,8 +161,14 @@
 install::
 		rm -rf $(WWWMAN)
 		cp -a Manual $(WWWMAN)
-		tar zcvf $(FTPDIR)/refman/HTMLmanual.tar.gz Manual
-		cp -a $(PDF) $(FTPDIR)/refman/refman.pdf
+		tar zcf $(FTPDIR)/refman/HTMLmanual.tar.gz Manual
+		install -m 644 $(PDF) $(FTPDIR)/refman/refman.pdf
+
+beta-install::
+		rm -rf $(BETAMAN)
+		cp -a Manual $(BETAMAN)
+		install -m 644 MANUAL.pdf $(FTPDIR)/BETA/Manual.pdf
+		tar zcf $(FTPDIR)/BETA/Manual.html.tgz Manual
 
 ################################################################
 # Windows readme
@@ -169,4 +179,13 @@
 windows.html:	windows.tex
 		latex2html windows
 
+################################################################
+# MacOsX readme
+################################################################
+
+macosx.pdf:	macosx.tex
+		./runtex --pdf macosx
+macosx.html:	macosx.tex
+		latex2html macosx
+
 # EOF #

=== Public/TPLP/plweb/Makefile ===
################################################################
# SWI-Prolog `DB' package
# Author:    Jan Wielemaker. jan@swi.psy.uva.nl
# Copyright: LGPL (see COPYING or www.gnu.org
################################################################

.SUFFIXES: .tex .dvi .doc .pl

PCEHOME=/staff/jan/src/xpce

DOCTOTEX=./doc2tex
LATEX=latex
DOC=plweb
PDF=$(DOC).pdf
HTML=$(DOC).html
RUNTEX=./runtex

TEX=	extension.tex introduction.tex protocol.tex web.tex \
	facet.tex plweb.tex serql.tex xdig.tex

SRC=$(DOC).doc swipl.sty $(DOC).bib $(DOC).bbl figs/*.pdf
SUP=Makefile tlp.cls $(DOCTOTEX) $(RUNTEX)

################################################################
# Documentation
################################################################

all:		$(TEX) pdf

doc:		$(PDF) $(HTML)
pdf:		$(PDF)
xhtml:		$(TEX)
		latex2html $(DOC)

$(PDF)::
		$(RUNTEX) --pdf $(DOC)

$(TEX):		$(DOCTOTEX)

.doc.tex:
		$(DOCTOTEX) $*.doc > $*.tex

zip:
		rm -f $(DOC).zip
		zip -r $(DOC).zip $(SRC) $(SUP)
########################################################
# Utility Lourens: make available on the web
# make scp.L => remote copy to web access of $(PDF) protected by password
####################################
REMOTE.L=lourens@fluit.cs.vu.nl:www/aistaff/
scp.%:
	$(MAKE)
	chmod go+r $(PDF)
	- scp -p $(PDF) $(REMOTE.$*)

################################################################
# Clean
################################################################

clean:
		for f in $(TEXT); do \
		   if [ -f `basename $$f tex`.doc ]; then rm -f $$f; fi ;\
		done
		$(RUNTEX) --clean $(DOC)

## swi-prolog 5.6.47

=== man/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Building the various versions of the documentation requires
 # a lot of software to be at the right place.  Generally, please
 # pick the required version from the SWI-Prolog home page at
-# http://www.swi.psy.uva.nl/projects/SWI-Prolog/
+# http://www.swi-prolog.org/
 #
 # If you insist building it yourself, at least check the following
 #
@@ -15,10 +15,13 @@
 #		- pdflatex
 #		- latex2html from the html subdirectory of Prolog
 #		- gcc (for ccp as well as building modified dvi2tty)
-#
-################################################################
-
-PL=		../linux/pl
+#	* The PlDoc generated manuals need to installed system as
+#	  $(PUBLICPL)
+#
+################################################################
+
+PUBLICPL=	pl
+PL=		../linux/$(PUBLICPL)
 
 CP=		ln -fs
 CCCP=		gcc -E -C -P
@@ -41,11 +44,14 @@
 		lib/lists.tex lib/bounds.tex lib/clpqr.tex lib/gensym.tex \
 		lib/nbset.tex lib/clpdistinct.tex lib/summary.tex \
 		lib/simplex.tex lib/assoc.tex lib/prologxref.tex \
-		lib/ugraphs.tex
+		lib/ugraphs.tex lib/ordsets.tex lib/broadcast.tex \
+		lib/record.tex lib/clpfd.tex lib/pairs.tex lib/option.tex \
+		lib/apply.tex
 TEXFILES=	doc.tex intro.tex overview.tex builtin.tex module.tex \
 		foreign.tex runtime.tex hack.tex summary.tex xpce.tex \
 		glossary.tex ide.tex license.tex threads.tex $(LIBFILES) \
-		profile.tex attvar.tex chr.tex xref.tex
+		profile.tex attvar.tex chr.tex xref.tex bit64.tex \
+		dialect.tex
 STYFILES=	html.sty txt.sty
 
 .SUFFIXES:
@@ -83,8 +89,9 @@
 		dvips $< -o $@
 
 html:		$(TEXFILES) $(STYFILES) doc.bbl
-		rm -rf Manual
+		rm -rf Manual.tmp
 		env TEXINPUTS=lib:$$TEXINPUTS latex2html doc
+		./update-man Manual.tmp Manual
 
 pdf:		$(PDF)
 
@@ -104,7 +111,7 @@
 
 distclean:	clean
 		rm -f $(MANUAL) $(DVITOTTY)
-		rm -rf Manual
+		rm -rf Manual.tmp
 		make -C$(DVITOTTY-HOME) distclean
 
 $(PDF):		doc.tex $(TEXFILES) doc.bbl
@@ -163,6 +170,7 @@
 		cp -a Manual $(WWWMAN)
 		tar zcf $(FTPDIR)/refman/HTMLmanual.tar.gz Manual
 		install -m 644 $(PDF) $(FTPDIR)/refman/refman.pdf
+		rsync -aCv --delete Manual liduop:/home/web/hcs/projects/SWI-Prolog
 
 beta-install::
 		rm -rf $(BETAMAN)
@@ -171,6 +179,24 @@
 		tar zcf $(FTPDIR)/BETA/Manual.html.tgz Manual
 
 ################################################################
+# PlDoc generated manual files
+################################################################
+
+LIBTOTEX=$(PUBLICPL) -q -s libtotex.pl -g libtotex --
+
+lib/apply.tex:	../library/apply.pl
+		$(LIBTOTEX) 'library(apply)'
+lib/clpfd.tex:	../library/clp/clpfd.pl
+		$(LIBTOTEX) 'library(clpfd)'
+lib/url.tex:	../library/url.pl
+		$(LIBTOTEX) 'library(url)'
+lib/pairs.tex:	../library/pairs.pl
+		$(LIBTOTEX) 'library(pairs)'
+lib/option.tex:	../library/option.pl
+		$(LIBTOTEX) 'library(option)'
+
+
+################################################################
 # Windows readme
 ################################################################
 
@@ -183,9 +209,11 @@
 # MacOsX readme
 ################################################################
 
-macosx.pdf:	macosx.tex
-		./runtex --pdf macosx
-macosx.html:	macosx.tex
-		latex2html macosx
+macosx::	macosx/macosx.pdf macosx/macosx.html
+
+macosx/macosx.pdf:	macosx/macosx.tex
+		./runtex --pdf macosx/macosx
+macosx/macosx.html:	macosx/macosx.tex
+		(cd macosx && latex2html macosx)
 
 # EOF #

=== man/txt/Makefile ===
TEXMF=/usr/share/texmf
DOCFONT=$(TEXMF)/fonts/tfm/doc

install::
	if [ ! -d $(DOCFONT) ]; then mkdir $(DOCFONT); fi
	cp doc.tfm $(DOCFONT)
	(cd $(DOCFONT) && ln doc.tfm docbf.tfm)
	(cd $(DOCFONT) && ln doc.tfm docul.tfm)
	texconfig rehash

=== packages/xpce/pl/src/Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 PCEPLS=		pce_expand.pl ../lib/english/pce_messages.pl pce_pl.pl \
 		pce_principal.pl pce_error.pl pce_autoload.pl pce_global.pl \
-		pce_operator.pl pce_expansion.pl pce_realise.pl pce_editor.pl \
+		pce_expansion.pl pce_realise.pl pce_editor.pl \
 		pce_goal_expansion.pl
 BOOTQLF=	pce.qlf
 LIBQLFS=	pce_manual.qlf dialog/dialog.qlf emacs/emacs.qlf pcedraw.qlf
@@ -80,7 +80,7 @@
 $(OBJDIR)/link.o:	link.c
 		$(CC) -c $(CFLAGS) $< -o $@
 $(OBJDIR)/pcecall.o:	pcecall.c
-		$(CC) -c $(CFLAGS) $< -o $@
+		$(CC) -c $(CFLAGS) $(XINCLUDES) $< -o $@
 
 ################################################################
 # Creating statically linked xpce and its xpce.qlf bootfile
@@ -116,11 +116,11 @@
 sopce$(XPCESO):
 		LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
 		export LD_RUN_PATH; \
-		$(PLLD) -shared $(SOITF) -L$(XLIB) -L$(LIBDIR) -lXPCE -o $(XPCESO);
+		$(PLLD) -shared $(SOITF) $(LDFLAGS) -L$(XLIB) -L$(LIBDIR) -lXPCE -o $(XPCESO);
 axpce$(XPCESO):
 		LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
 		export LD_RUN_PATH; \
-		$(PLLD) -shared $(SOITF) $(SOEXTR) -L$(LIBDIR) \
+		$(PLLD) -shared $(LDFLAGS) $(SOITF) $(SOEXTR) -L$(LIBDIR) \
 		-lXPCE $(GCCLIB) -L$(XLIB) $(XLIBS) $(NETLIBS) -o $(XPCESO);
 
 ################################################################$

=== packages/xpce/prolog/lib/draw/Makefile ===
.SUFFIXES: .pl .tex .dvi .doc

PLTOTEX=../../../bin/pl2tex
DOCTOTEX=../../../bin/doc2tex
CORRECTINDEX=../../../bin/correctindex
MAKEINDEX=makeindex -s ../../../TeX/makeindex.sty


TEX=	doc.tex \
	attribute.tex canvas.tex draw.tex gesture.tex \
	menu.tex shapes.tex 
		
LOGO=	figs/uva.ps figs/swi.ps

all:	$(TEX) $(LOGO)
	-$(CORRECTINDEX) doc.idx
	-$(MAKEINDEX) doc
	touch doc.ind
	(TEXINPUTS=../../../TeX:$$TEXINPUTS; export TEXINPUTS; latex doc)

$(TEX):	$(PLTOTEX)

bib:	doc.aux
	(TEXINPUTS=../../../TeX:$$TEXINPUTS; \
	 BIBINPUTS=$$TEXINPUTS; \
	 export TEXINPUTS BIBINPUTS; bibtex doc)

figs/uva.ps:	../../../TeX/figs/uva.ps
	-mkdir figs
	cp ../../../TeX/figs/uva.ps figs/uva.ps

figs/swi.ps:	../../../TeX/figs/swi.ps
	cp ../../../TeX/figs/swi.ps figs/swi.ps

.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

clean:
	rm -f $(TEX) *.dvi *.toc *.aux *.idx *.ind *.ilg $(LOGO)
	-rmdir figs

=== packages/xpce/sicstus/src/lib/Makefile ===
################################################################
# Makefile for XPCE/SWI-Prolog compatibility library
################################################################

SO=			so
RES=			sp_compat
TARGETS=		$(addprefix $(RES), .$(SO)) INDEX.pl

all:			$(TARGETS)

sp_compat.$(SO):	sp_compat.c sp_compat.pl ../libswi.a
			splfr sp_compat sp_compat.pl +c sp_compat.c +l -L.. -lswi

sp_compat.s.o:		sp_compat.c sp_compat.pl ../libswi.a
			splfr sp_compat sp_compat.pl +static +c sp_compat.c +l -L.. -lswi

INDEX.pl:		.
			cd .. && sicstus -l mkindex.pl -a lib

clean:
			rm -f *~

distclean:		clean
			rm -f $(TARGETS)

## swi-prolog 5.6.50-0maemo3+0m5

=== debian/changelog ===
swi-prolog (5.6.50-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kovacs Janos <janos.f.kovacs@nokia.com>  Fri, 31 Jul 2009 00:39:12 +0300

swi-prolog (5.6.50-0maemo3) unstable; urgency=low

  * Disabled curses support by default (Fixes NB#129704).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Thu, 23 Jul 2009 19:43:28 +0300

swi-prolog (5.6.50-0maemo2) unstable; urgency=low

  * Separated prolog predicate library and boot code to subpackages.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Fri, 22 May 2009 18:44:18 +0300

swi-prolog (5.6.50-0maemo1) unstable; urgency=low

  * Packaging fixes from Remi Denis-Courmont (subpackages, dependency fixes.).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Mon, 26 Jan 2009 13:47:18 +0200

swi-prolog (5.6.50-0maemo0) unstable; urgency=low

  * Disabled everything (packages/*) we do not need (more to come).
  * Enabled compiling to a shared library/object.
  * Created dev subpackage, separated manuals to manual subpackage.
  * Few hacks to get successfully built under scratchbox (armel).
  * Fixes: NB#97738.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Mon, 12 Jan 2009 02:43:49 +0000

swi-prolog (5.6.50) unstable; urgency=low

  * New upstream release.
  * Make '/usr/bin/swipl' a symlink again. This was a regression introduced
    by my fix to #456261 which was preventing scripts to use a shebang line
    pointing to swipl. Passing the environment variable PL to configure sets
    the target binary name in a far more less brittle manner. (Closes: #462646)
  * Remove deprecated swiprolog binary and associated manpage. This name was
    deprecated in 2001 and does not support scripting.
  * Add missing ${shlibs:Depends} to swi-prolog-http.
  * Cleanup debian/rules.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Mon, 11 Feb 2008 09:45:02 +0000

swi-prolog (5.6.49-2) unstable; urgency=low

  * Use DEB_BUILD_ARCH instead of DEB_BUILD_GNU_TYPE for determining when
    we are building on ARM.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 25 Jan 2008 22:06:56 +0000

swi-prolog (5.6.49-1) unstable; urgency=low

  * New upstream release.
  * Disable GCC optimisations on ARM in an attempt to diagnose FTBFS.
  * Fix bug in "swipl" wrapper which discarding arguments. (Closes: #462368)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 24 Jan 2008 16:34:25 +0000

swi-prolog (5.6.48-1) unstable; urgency=low

  * New upstream release.
  * Patch plld.c so it calls 'swipl' instead of 'pl' (Closes: #312523)
  * Rework main binary such that /usr/bin/swipl is a shell script instead
      of a symlink (Closes: #456261)
  * Delete empty directories (spotted by lintian)
  * Tidy (unfixed) Lintian "image-file-in-usr-lib" overrides.
  * Update Standards-Version: to 3.7.3.
  * Require debhelper >= 5.
  * Add debian/watch.
  * Move from XS-Vcs-* to Vcs-*.
  * Add ${misc:Depends} for all binaries.
  * Include dpatch.make instead of re-implementing patch/unpatch targets.
  * Remove RPATH from pl2xpce.so in install target (spotted by lintian)
  * Fix FTBFS on ARM.
  * Rename Vcs-Browse -> Vcs-Browser. (Thanks to Daniel Baumann)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 28 Dec 2007 18:55:24 +0000

swi-prolog (5.6.47-1) unstable; urgency=low

  * New upstream version (Closes: #295209, #308325, #425580)
  * New maintainer (Closes: #422576)
  * Bump Debhelper compatibility to 5
  * debian/rules:
     * Update config.sub and config.guess from autotools-dev
         (Closes: #408076, #414181)
     * Desist from blindly ignoring "clean" target
  * debian/control:
     * Use ${binary:Version} instead of ${Source-Version}
     * Add new Homepage: field
     * Add XS-Vcs-* fields
  * Change ".menu" sections from
       "Apps/Programming" -> "Applications/Programming"
  * Documentation:
     * Remove some SGML documentation now missing from upstream
     * Add Sicstus and SWI-Prolog v4.8 -related XPCE documentation

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sun, 02 Dec 2007 23:26:00 +0000

swi-prolog (5.6.14-1) unstable; urgency=low

  * The "OMG!" release
  * New Upstream Release (closes: #308325)
  * New Maintainer (closes: #296871)
  * Now Build from source (closes: #324053)
  * libreadline5-dev added as a buil-dependency (closes: #326293)
  * xlibs-dev dependency removed (closes: #347073)
  * .pwd file removed (closes:  #285894)

 -- Gerardo Curiel <gcuriel@debianvenezuela.org>  Sat, 10 Jun 2006 00:22:25 -0400

swi-prolog (5.2.13-1) unstable; urgency=low

  * New upstream (closes: #257254)
  * Fixed executable naming in man page (closes: #223815)
  * Added http and semweb packages

 -- Michael Piefel <piefel@debian.org>  Mon, 12 Jul 2004 14:55:07 +0200

swi-prolog (5.2.7-1) unstable; urgency=low

  * New upstream - this supposedly closes: #206428 (a build failure)
  * debian/rules clean: remove file before directory for greater effect

 -- Michael Piefel <piefel@debian.org>  Tue, 09 Sep 2003 15:36:52 +0200

swi-prolog (5.2.6-1) unstable; urgency=low

  * New upstream.
  * Install clib's files into a directory instead of on top of each other
    (closes: #206520)
  * Delay restoration of upstream config.{sub,guess} until after make step
    since configure is called during the build (closes: #206443)

 -- Michael Piefel <piefel@debian.org>  Thu, 21 Aug 2003 14:32:59 +0200

swi-prolog (5.2.5-1) unstable; urgency=low

  * New upstream version
  * Merged the source packages for swi-prolog and swi-prolog-packages together
    again. The build process upstream uses finally doesn't
    build-install-build-install anymore.
  * debian/rules: rearranged for better autotools and DEB_BUILD_OPTIONS
  * debian/rules: got rid of *.dirs.in ugliness
  * Remove make call from XPCE postinst (closes: #186468)
  * Update library index for sgml and clib (closes: #187005)

 -- Michael Piefel <piefel@debian.org>  Tue, 19 Aug 2003 15:10:19 +0200

swi-prolog (5.0.10-3) unstable; urgency=low



=== debian/control ===
Source: swi-prolog
Section: interpreters
Priority: optional
Maintainer: Chris Lamb <chris@chris-lamb.co.uk>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, dpatch, chrpath
Standards-Version: 3.7.2
Vcs-Git: git://git.chris-lamb.co.uk/pkg-swi-prolog.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=pkg-swi-prolog.git
Homepage: http://www.swi-prolog.org

Package: swi-prolog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Prolog interpreter
 ISO/Edinburgh-style Prolog compiler.  Compliant with Part 1 of the ISO standard
 for Prolog.  Covers all traditional Edinburgh Prolog features and shares many
 features with Quintus and SICStus Prolog, including a compatible module system.
 Very fast compiler, garbage collection (also on atoms), fast and powerful C/C++
 interface, autoloading, GNU-readline interface.
 .
 SWI-Prolog has been designed and implemented such that it can easily be
 modified for experiments with logic programming and the relation
 between logic programming and other programming paradigms (such as the
 object oriented XPCE environment).  SWI-Prolog has a rich set of
 built-in predicates and reasonable performance, which makes it possible
 to develop substantial applications in it.  The current version offers
 a module system, garbage collection and an interface to the C language.

Package: swi-prolog-dev
Architecture: any
Depends: swi-prolog (= ${binary:Version}), ${shlibs:Depends}
Section: libdevel
Description: Development files for SWI Prolog
 This package contains headers files, etc. necessary for developing software
 that uses the C-interface to SWI Prolog.

Package: swi-prolog-lib-core
Architecture: any
Depends: swi-prolog (= ${binary:Version})
Section: interpreters
Description: Minimum set of SWI Prolog library of prolog predicates
 This package contains a minimal collection of prolog predicates, just enough
 to load foreign libraries.
 .

Package: swi-prolog-lib
Architecture: any
Depends: swi-prolog (= ${binary:Version}), swi-prolog-lib-core (= ${binary:Version})
Section: interpreters
Description: SWI Prolog library of prolog predicates
 This package contains a collection of commonly used prolog predicates. You
 need this is you are running non-precompiled prolog code.
 .

Package: swi-prolog-dbg
Architecture: any
Depends: swi-prolog (= ${binary:Version})
Section: libdevel
Priority: extra
Description: Debug symbols for SWI Prolog
 This package contains debug symbols for SWI Prolog.

Package: swi-prolog-doc
Architecture: all
Section: doc
Description: Documentation for SWI Prolog
 This package contains SWI-Prolog documentation (manual pages, README, etc.).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpatch/dpatch.make

export PLARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

PKG=""

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE) \
               --enable-shared \
               --without-clib \
               --disable-gmp --disable-readline --disable-curses \
               --without-chr --without-clpqr --without-cpp --without-db \
               --without-mp --without-nlp --without-ssl --without-odbc \
               --without-pldoc --without-plunit --without-zlib \
               --without-sgml --without-semweb --without-table \
               --without-http --without-xpce
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
               --enable-shared \
               --without-clib \
               --disable-gmp --disable-readline --disable-curses \
               --without-chr --without-clpqr --without-cpp --without-db \
               --without-mp --without-nlp --without-ssl --without-odbc \
               --without-pldoc --without-plunit --without-zlib \
               --without-sgml --without-semweb --without-table \
               --without-http --without-xpce
endif

CFLAGS=
# Fix FTBFS on ARM
ifeq ($(PLARCH),arm)
	CFLAGS += -O0
endif

build: patch build-stamp
build-stamp:
	dh_testdir

#       COFLAGS="-Os -fno-strict-aliasing"
	ARCH=$(PLARCH) PKG="$(PKG)" CFLAGS="$(CFLAGS)" PL="swipl" \
            ./configure $(CONFFLAGS) --with-world \
		--prefix=/usr '--mandir=$${prefix}/share/man'

	$(MAKE) ARCH=$(PLARCH) PLARCH=$(PLARCH)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

        # Upstream's clean targets are too clean
	for f in packages/xpce/src/h/names.i[hc]; do \
	    [ ! -f $$f ] || mv $$f debian; \
	done

        # Upstream's clean targets are not clean enough
	rm -f packages/xpce/man/reference/index.obj
	rm -f packages/xpce/lib/amd64
	rm -f .pkg-config

	[ ! -f src/Makefile ] || \
	    $(MAKE) ARCH=$(PLARCH) PLARCH=$(PLARCH) clean distclean

	for f in debian/names.i[hc]; do \
	    [ ! -f $$f ] || mv $$f packages/xpce/src/h; \
	done
	dh_clean

	for DIR in src/ packages/jpl; do \
		cp -f /usr/share/misc/config.sub $$DIR/config.sub; \
		cp -f /usr/share/misc/config.guess $$DIR/config.guess; \
	done

install:
install: build
	dh_testdir
	dh_testroot
	dh_clean -k

        # Perform a minimal installation, then separate eveything extra into
        # subpackages. This whole thing is a huge hack... yuck.

	$(MAKE) prefix=`pwd`/debian/swi-prolog-tmp/usr \
		ARCH=$(PLARCH) install-lite

       # Relocate Manual to /usr/share to avoid lintian warnings.
	MANUAL=`find debian/swi-prolog-tmp/usr/lib -type d -name Manual` && \
        [ -n "$$MANUAL" ] && \
        RELOCATED=`echo $$MANUAL | sed 's#/usr/lib/#/usr/share/#'` && \
        mkdir -p $$RELOCATED && cp -rvp $$MANUAL $$RELOCATED && \
        rm -fr $$MANUAL
	rm -f debian/*.install

        # Generate file list for the main package.
	cd debian/swi-prolog-tmp && find . -type f | \
            grep -v '/library/' | grep -v '/boot/' | \
            grep -v '/boot32.prc$$' | \
            grep -v '/Manual/' | grep -v '/man/' | grep -v '/MANUAL$$' | \
            grep -v '/include/' | grep -v '/libpl.a$$' | \
            grep -v '/demo/' | grep -v '/dotfiles/' | \
            grep -v '/plld$$' | grep -v '/plrc$$' \
            > ../swi-prolog.install

	cd debian/swi-prolog-tmp && find . -type l | \
            grep -v '/library/' | grep -v '/boot/' | grep -v 'boot32.prc' | \
            grep -v '/Manual/' | grep -v '/man/' | grep -v '/MANUAL$$' | \
            grep -v '/include/' | grep -v '/libpl.a$$' | \
            grep -v '/demo/' | grep -v '/dotfiles/' | \
            grep -v '/plld$$' | grep -v '/plrc$$' \
            >> ../swi-prolog.install

        # Generate file list for the lib-core subpackage.
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/library/shlib.pl$$' > ../swi-prolog-lib-core.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/library/error.pl$$' >> ../swi-prolog-lib-core.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/library/lists.pl$$' >>../swi-prolog-lib-core.install || :
        # Generate library index with only our minimal core libs.
	switop=`pwd`/debian/swi-prolog-tmp/usr/lib/swipl-5.6.50 && \
	  cd $$switop/library && \
	  rm -f INDEX.pl INDEX-core.pl && \
	  LD_LIBRARY_PATH=$$switop/lib/$(PLARCH) \
	  $$switop/bin/$(PLARCH)/swipl --home=$$switop -g true -t \
              "make_library_index('.', ['shlib.pl','error.pl','lists.pl'])" && \
	    mv INDEX.pl INDEX-core.pl
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/library/INDEX-core.pl$$' >>../swi-prolog-lib-core.install || :
        # Generate file list for the lib subpackage.
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/library/' | \
            grep -v '/MANUAL$$' | \
	    grep -v 'INDEX.pl$$' | \
	    grep -v 'INDEX-core.pl$$' | \
	    grep -v 'shlib.pl$$' | \
	    grep -v 'error.pl$$' | \
	    grep -v 'lists.pl$$' > ../swi-prolog-lib.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/boot/' >> ../swi-prolog-lib.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep 'boot32.prc$$' >> ../swi-prolog-lib.install || :
        # Generate library index excluding what's in lib-core already.
	switop=`pwd`/debian/swi-prolog-tmp/usr/lib/swipl-5.6.50 && \
	  cd $$switop/library && \
	  rm -f INDEX.pl INDEX-lib.pl && \
	  LD_LIBRARY_PATH=$$switop/lib/$(PLARCH) \
	  $$switop/bin/$(PLARCH)/swipl --home=$$switop -g true -t \
              "make_library_index('.')" && \
	    cat INDEX.pl | \
                grep -v 'shlib, shlib' | \
                grep -v 'error, error' | \
                grep -v 'lists, lists' > INDEX-lib.pl
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/library/INDEX-lib.pl$$' >>../swi-prolog-lib.install || :

        # Generate file list for the dev subpackage.
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/include/' > ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/libpl.a$$' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/demo/' | grep '/dotfiles/' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/dotfiles/' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/plld$$' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/plrc$$' >> ../swi-prolog-dev.install || :

	cd debian/swi-prolog-tmp && find . -type l | \
	    grep '/include/' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type l | \
	    grep '/libpl.a$$' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type l | \
	    grep '/demo/' | grep '/dotfiles/' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type l | \
	    grep '/dotfiles/' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type l | \
	    grep '/plld$$' >> ../swi-prolog-dev.install || :
	cd debian/swi-prolog-tmp && find . -type l | \
	    grep '/plrc$$' >> ../swi-prolog-dev.install || :

        # Generate file list for the doc subpackage.
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/Manual/' > ../swi-prolog-doc.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/MANUAL$$' >> ../swi-prolog-doc.install || :
	cd debian/swi-prolog-tmp && find . -type f | \
	    grep '/man/' >> ../swi-prolog-doc.install || :

	cd debian/swi-prolog-tmp && find . -type l | \
	    grep '/Manual/' >> ../swi-prolog-doc.install || :
	cd debian/swi-prolog-tmp && find . -type l | \

## swi-prolog 5.6.55

=== man/Makefile ===
--- 
+++ 
@@ -39,14 +39,14 @@
 FTPDIR=		~ftp/SWI-Prolog
 BETAMAN=	~www/SWI-Prolog/BETA/Manual
 
-LIBFILES=	lib/library.tex lib/readutil.tex lib/netscape.tex \
+LIBFILES=	lib/library.tex lib/readutil.tex lib/wwwbrowser.tex \
 		lib/registry.tex lib/check.tex lib/url.tex lib/debug.tex \
 		lib/lists.tex lib/bounds.tex lib/clpqr.tex lib/gensym.tex \
 		lib/nbset.tex lib/clpdistinct.tex lib/summary.tex \
 		lib/simplex.tex lib/assoc.tex lib/prologxref.tex \
 		lib/ugraphs.tex lib/ordsets.tex lib/broadcast.tex \
 		lib/record.tex lib/clpfd.tex lib/pairs.tex lib/option.tex \
-		lib/apply.tex
+		lib/apply.tex lib/aggregate.tex
 TEXFILES=	doc.tex intro.tex overview.tex builtin.tex module.tex \
 		foreign.tex runtime.tex hack.tex summary.tex xpce.tex \
 		glossary.tex ide.tex license.tex threads.tex $(LIBFILES) \
@@ -194,6 +194,8 @@
 		$(LIBTOTEX) 'library(pairs)'
 lib/option.tex:	../library/option.pl
 		$(LIBTOTEX) 'library(option)'
+lib/aggregate.tex: ../library/aggregate.pl
+		$(LIBTOTEX) 'library(aggregate)'
 
 
 ################################################################

## swi-prolog 5.6.58

=== man/Makefile ===
--- 
+++ 
@@ -46,7 +46,8 @@
 		lib/simplex.tex lib/assoc.tex lib/prologxref.tex \
 		lib/ugraphs.tex lib/ordsets.tex lib/broadcast.tex \
 		lib/record.tex lib/clpfd.tex lib/pairs.tex lib/option.tex \
-		lib/apply.tex lib/aggregate.tex
+		lib/apply.tex lib/aggregate.tex lib/threadpool.tex \
+		lib/pio.tex lib/pureinput.tex
 TEXFILES=	doc.tex intro.tex overview.tex builtin.tex module.tex \
 		foreign.tex runtime.tex hack.tex summary.tex xpce.tex \
 		glossary.tex ide.tex license.tex threads.tex $(LIBFILES) \
@@ -196,6 +197,10 @@
 		$(LIBTOTEX) 'library(option)'
 lib/aggregate.tex: ../library/aggregate.pl
 		$(LIBTOTEX) 'library(aggregate)'
+lib/pureinput.tex: ../library/pure_input.pl
+		$(LIBTOTEX) --subsection 'library(pure_input)'
+lib/threadpool.tex: ../library/thread_pool.pl
+		$(LIBTOTEX) 'library(thread_pool)'
 
 
 ################################################################

=== packages/xpce/man/sicstus/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl

SHELL=/bin/bash
PCEHOME=../..
DOC=doc
PDF=$(DOC).pdf
PS=$(DOC).ps
DOCTOTEX=$(PCEHOME)/bin/doc2tex
PLTOTEX=$(PCEHOME)/bin/pl2tex
CORRECTINDEX=$(PCEHOME)/bin/correctindex
MAKEINDEX=makeindex -s $(PCEHOME)/TeX/makeindex.ist
DVI=$(DOC).dvi
LOG=$(DOC).log
RERUN="Rerun to get cross-references right"

TEX=	$(DOC).tex body.tex tree.tex showdir.tex 

all:	$(DVI)
pdf:	$(PDF)
ps:	$(PS)

$(DVI):	$(TEX)
	@TEXINPUTS=.:$(PCEHOME)/TeX:$$TEXINPUTS; \
	echo "**********************************************************"; \
	echo "* Running latex $(DOC)"; \
	echo "**********************************************************"; \
	export TEXINPUTS; \
	rm -f $(LOG); \
	while test ! -e $(DVI) -o ! -e $(LOG) || grep -q $(RERUN) $(LOG); do \
	  $(CORRECTINDEX) $(DOC).idx; \
	  $(MAKEINDEX) $(DOC).idx; \
	  touch $(DOC).ind; \
	  latex $(DOC) || exit 1; \
	done

html:	$(TEX)
	latex2html $(DOC)

$(PS):	$(DVI)
	dvips -o $@ $(DVI)

$(PDF):	$(PS)
	pstill -cgipt -o $@ $(PS)

$(TEX):	$(DOCTOTEX)

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex
.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

clean:
	rm -f $(TEX) \
		*.dvi *.toc *.aux *.idx *.ind *.blg *.log *.ilg \
		*~ figs/*~

=== packages/xpce/pl/src/Makefile ===
--- 
+++ 
@@ -102,7 +102,7 @@
 
 $(OBJDIR)/so-interface.o: interface.c
 		$(CC) -DO_SHAREDLIBRARY $(CFLAGS) -c $< -o $@
-		
+
 $(OBJDIR)/Initialize.o:	
 		ar x $(XLIB)/libXt.a $@

=== packages/xpce/src/msw/Makefile ===
# MSW 		--- MS-Windows implemetation of Virtual Window Interface

MSWOBJS=	colour.o cursor.o display.o draw.o event.o font.o \
		frame.o image.o stream.o timer.o win.o window.o
MSWSRC=		$(MSWOBJS:.o=.c)

objects:	$(MSWOBJS)

addlib:		$(MSWOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(MSWOBJS)
		@touch addlib

proto.h:	$(MSWSRC)
		$(MKPROTO) $(MSWSRC) | $(CLPROTO) > proto.h

clean:
		$(RM) -f *~ a.out core $(MSWOBJS) addlib

## swi-prolog 5.6.59

=== packages/cppproxy/examples/Makefile ===
DEMOS=	person sqrt time

check:
	./run $(DEMOS)

clean:
	rm -f $(DEMOS)
	rm -f *_proxy.h *~ core

## swi-prolog 5.8.0

=== packages/xpce/man/CXX/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl

DOCTOTEX=../../bin/doc2tex
PLTOTEX=../../bin/pl2tex
MAKEINDEX=makeindex -s ../../TeX/makeindex.ist


TEX=	doc.tex pce2cpp.tex

LOGO=	figs/uva.eps figs/swi.eps

all:	$(TEX) $(LOGO)
	-$(MAKEINDEX) doc.idx
	touch doc.ind
	(TEXINPUTS=../../TeX:$$TEXINPUTS; export TEXINPUTS; latex doc)

html:	$(TEX)
	latex2html doc
	mv doc/doc.html doc/Title.html

bib:	doc.aux
	(TEXINPUTS=../../TeX:$$TEXINPUTS; \
	 BIBINPUTS=$$TEXINPUTS; \
	 export TEXINPUTS BIBINPUTS; bibtex doc)

figs/uva.eps:	../../TeX/figs/uva.eps
	cp ../../TeX/figs/uva.eps figs/uva.eps

figs/swi.eps:	../../TeX/figs/swi.eps
	cp ../../TeX/figs/swi.eps figs/swi.eps

$(TEX):	$(DOCTOTEX)

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

clean:
	rm -f $(TEX) *.dvi *.toc *.aux *.idx *.ind *.[ib]lg *.log *~ figs/*~ \
	      $(LOGO)

=== packages/xpce/pl/src/Makefile ===
--- 
+++ 
@@ -114,11 +114,19 @@
 		fi
 
 sopce$(XPCESO):
-		LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
+		if [ "x$$LD_RUN_PATH" = "x" ]; then \
+		    LD_RUN_PATH="$(libdir)"; \
+		else \
+		    LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
+		fi; \
 		export LD_RUN_PATH; \
 		$(PLLD) -shared $(SOITF) $(LDFLAGS) -L$(XLIB) -L$(LIBDIR) -lXPCE -o $(XPCESO);
 axpce$(XPCESO):
-		LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
+		if [ "x$$LD_RUN_PATH" = "x" ]; then \
+		    LD_RUN_PATH="$(libdir)"; \
+		else \
+		    LD_RUN_PATH="$(libdir):$$LD_RUN_PATH"; \
+		fi; \
 		export LD_RUN_PATH; \
 		$(PLLD) -shared $(LDFLAGS) $(SOITF) $(SOEXTR) -L$(LIBDIR) \
 		-lXPCE $(GCCLIB) -L$(XLIB) $(XLIBS) $(NETLIBS) -o $(XPCESO);
